Subject: FW: Re: wxwin port
From: [email-masked] (Keith Gary Boyce)

9 Nov 1996 13:41:06 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; CHARSET=us-ascii
Original-To: [email-masked]
X-PRIORITY: 3 (Normal)
X-Mailer: Chameleon 5.0, TCP/IP for Windows, NetManage Inc.
Original-Sender: [email-masked]

does anyone have any idea why size of 
BITMAPFILEHEADER is 12 in gnuwin32 when the function matches that
which is described below? 
--- On Thu, 07 Nov 1996 18:29:55 +0000  Julian Smart 
<[email-masked]> wrote:
At 12:31 07/11/96, you wrote:
>
>Hope I'm not bugging you but you know me and i'm not giving up.

:-)

>Here's the step through in ReadDIB where I suspect things are being 
>read with a check on the sizeof structures where I thought helpful. 
>Any ideas. Are the structures incorrect size?

In VC++, stopping in ReadDIB the structures are:

BITMAPINFOHEADER        40
BITMAPCOREHEADER        12
BITMAPFILEHEADER        14  *** different from yours! ***
RGBQUAD                 4
RGBTRIPLE               3

So this could explain things, maybe...

In wingdi.h, BITMAPFILEHEADER is defined as follows:

typedef struct tagBITMAPFILEHEADER {
        WORD    bfType;
        DWORD   bfSize;
        WORD    bfReserved1;
        WORD    bfReserved2;
        DWORD   bfOffBits;
} BITMAPFILEHEADER, FAR *LPBITMAPFILEHEADER, *PBITMAPFILEHEADER;

I hope this provides some kind of clue.

Julian
========================================================================
Julian Smart <[email-masked]>    0131 466 0193
Anthemion Software
149 Warrender Park Road
Edinburgh
EH9 1DT                                       Note my new email address!
========================================================================

-----------------End of Original Message-----------------

-------------------------------------
Name: Garry Boyce
E-mail: [email-masked] (Garry Boyce)
Date: 12/01/94
Time: 08:46:10

This message was sent by Chameleon 
-------------------------------------

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".